@import "../../../../assets/utils";
@import "../../commonFormElement";

.container {
  position: relative;
}

.value {
  @include input;
}

.iconWithClearer {
  right: 30px;
}

.input {
  flex-grow: 1;

  &.isDisabled {
    + .icon {
      cursor: not-allowed;
    }
  }
}

.field {
  @include field;
}

.sideButton {
  @include clearButton;
}

.popup {
  position: fixed;

  transition: opacity .15s, visibility .15s, transform .15s;

  &:not(&IsFocused) {
    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
  }

  :global {
    .flatpickr {
      &-input {
        display: none;
      }
      &-calendar {
        background: #FFFFFF;
        box-shadow: 0 15px 32px rgba(0, 0, 0, 0.12);
        border-radius: 4px;
        width: 248px;
      }
      &-months {
        display: flex;
        align-items: center;
      }
      &-prev-month,
      &-next-month {
        flex-shrink: 0;
        height: 50px;
        width: 50px;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        &:not(:hover) {
          opacity: .67;
        }
        svg {
          height: 20px;
          width: 20px;
        }
      }
      &-month {
        flex-grow: 1;
      }
      &-current-month {
        display: grid;
        grid-gap: 4px;
        grid-template-columns: 1fr 1fr;
        color: #333;
        font-weight: bold;

        .numInput {
          line-height: 100%;
          appearance: none;
          font-size: 14px;
          height: 14px;
          width: 100%;
        }
        .numInputWrapper {
          position: relative;
          &:after {
            content: '';
            position: absolute;
            right: 0;
            bottom: 0;
            top: 0;
            width: 30px;
            background: white;
            display: block;
          }
          .arrowUp,
          .arrowDown {
            position: absolute;
            right: 0;
            height: 50%;
            background: white;
            z-index: 1;
            cursor: pointer;
            border-left: 5px solid white;
            border-right: 5px solid white;
          }
          .arrowUp {
            top: -2px;
            border-bottom: 5px solid #333;
          }
          .arrowDown {
            bottom: -2px;
            border-top: 5px solid #333;
          }
        }
      }
      &-monthDropdown-months {
        line-height: 100%;
        font-size: 14px;
        cursor: pointer;
        text-align-last: right;
      }
      &-innerContainer {
        margin-top: 0;
      }
      &-rContainer {
        padding: 0 12px 12px;
      }
      &-weekdaycontainer {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
      }
      &-weekday {
        opacity: .4;
      }
      &-days {
        .dayContainer {
          display: grid;
          grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
        }
      }
      &-day,
      &-weekday {
        height: 32px;
        width: 32px;
        margin: 0 auto;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 12px;
        color: #333;
        font-weight: 600;
      }

      &-day {
        cursor: pointer;

        transition: background .15s, color .15s;

        &.prevMonthDay,
        &.nextMonthDay {
          opacity: .5;
        }
        &.today {
          border-radius: 100%;
          color: $color-secondary;
          background: transparentize($color-primary, .7);
        }
        &.selected {
          border-radius: 100%;
          color: $color-secondary;
          background: $color-primary;
        }
      }
    }
  }
}

.before {
  @include before
}

.after {
  @include after
}